package com.couplet.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.couplet.common.core.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;
import java.util.Date;

/**
 * @author DongXiaoDong
 * @version 1.0
 * @date 2024/3/26 21:49
 * @description
 */
//@Getter
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CoupletTroubleCode {
    /**
     * 主键id
     */
    @TableId(value = "trouble_id",type = IdType.AUTO)
    @Excel(name = "故障码主键", cellType = Excel.ColumnType.NUMERIC)
    @NotEmpty(message = "故障码主键不能为空")
    private Integer troubleId;

    /**
     * 故障码
     */
    @Excel(name = "故障码")
    @NotEmpty(message = "故障码不能为空")
    private String troubleCode;

    /**
     * vin
     */
    @Excel(name = "vin")
    private String troubleVin;

    /**
     * 故障标签
     */
    @Excel(name = "故障标签")
    private Integer troubleTag;

    /**
     * 故障开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date troubleStartTime;

    /**
     * 故障结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date troubleEndTime;
}
