package com.couplet.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @ProjectName: five-groups-couplet
 * @Author: LiuYunHu
 * @CreateTime: 2024/3/26
 * @Description: 车辆信息表
 */

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName("couplet_vehicle")
public class Vehicle {
    /*
     * @param null:
      * @return null
     * @author 付凡芮
     * @description 中间表id
     * @date
     */
    @TableField(exist = false)
    private Long middleId;
    /*
     *车辆id
     * */
    @TableId(type = IdType.AUTO, value = "vehicle_id")
    private Long vehicleId;

    /*
     *车辆类型
     * */
    @TableField(value = "vehicle_type")
    private Long vehicleType;

    /*
     * 车辆类型名称
     * */
    @TableField(exist = false)
    private String vehicleTypeName;


    /*
     *电机厂商
     * */
    @TableField(value = "motor_manufacturer")
    private String motorManufacturer;

    /*
     *电池厂商
     * */
    @TableField(value = "battery_manufacturer")
    private String batteryManufacturer;

    /*
     *电机编号
     * */
    @TableField(value = "motor_number")
    private String motorNumber;

    /*
     *电池编号
     * */
    @TableField(value = "battery_number")
    private String batteryNumber;

    /*
     *vin码
     * */
    @TableField(value = "vin")
    private String vin;

    /*
     *0离线 1在线
     * */
    @TableField(value = "vehicle_state")
    private Integer vehicleState;

    /*
     *0未删除 1删除
     * */
    @TableField(value = "isdelete")
    private Integer isdelete;


}
