package com.couplet.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @ProjectName: five-groups-couplet
 * @Author: LiuYunHu
 * @CreateTime: 2024/3/30
 * @Description: 车辆和标志中间表
 */

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName("couplet_vehicle_and_logo")
public class VehicleAndLogo {

    /*
     * 车辆、标志中间表id
     * */
    @TableId(type = IdType.AUTO, value = "vehicle_logo_middle_id")
    private Long vehicleLogoMiddleId;

    /*
     * 车辆id
     * */
    @TableField("vehicle_id")
    private Long vehicleId;

    /*
     * 标志id
     * */
    @TableField("logo_id")
    private Long logoId;

}
