package com.couplet.common.domain.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: LiJiaYao
 * @Date: 2024/3/29
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FenceUpdateRequest {

    /**
     * 新增电子
     */
    private Long fenceId;
    /**
     * 新增电子名称
     */
    private String fenceName;
    /**
     * 围栏经纬度
     */
    private String fenceLongitudeLatitude;
    /**
     * 围栏描述
     */
    private String fenceDescription;
    /**
     * 是否删除
     */
    private Integer isDelete;
    /**
     * 围栏状态
     */
    private Integer fenceState;
    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 创建人
     */
    private String crateName;
    /**
     * 维护人
     */
    private String maintainerName;
    /**
     * 报警状态
     */
    private Integer alarmStatus;

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }
}
