package com.couplet.common.domain.request;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.util.List;


/**
 * @ProjectName: five-groups-couplet
 * @Author: LiuYunHu
 * @CreateTime: 2024/3/27
 * @Description: 车辆编辑入参
 */

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class VehicleEditParams {
    /*
     *车辆id
     * */
    @NotNull(message = "车辆id不能为空")
    private Long vehicleId;

    /*
     *车辆类型
     * */
    @NotNull(message="车辆类型不能为空")
    private Integer vehicleType;


    /*
     *电机厂商
     * */
    private String motorManufacturer;

    /*
     *电池厂商
     * */
    private String batteryManufacturer;

    /*
     *电机编号
     * */
    private String motorNumber;

    /*
     *电池编号
     * */
    private String batteryNumber;

    //标识id集合
    private List<Long> logoIds;

}
