package com.couplet.common.domain.request;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @ProjectName: five-groups-couplet
 * @Author: LiuYunHu
 * @CreateTime: 2024/3/27
 * @Description: 车辆插入入参
 */

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class VehicleInsertParams {

    /*
     *车辆类型
     * */
    @NotNull(message = "车辆类型不能为空")
    private Long vehicleType;


    /*
     *电机厂商
     * */
    @NotBlank(message = "电机厂商不能为空")
    private String motorManufacturer;

    /*
     *电池厂商
     * */
    @NotBlank(message = "电池厂商不能为空")
    private String batteryManufacturer;

    /*
     *电机编号
     * */
    @NotBlank(message = "电机编号不能为空")
    private String motorNumber;

    /*
     *电池编号
     * */
    @NotBlank(message = "电池编号不能为空")
    private String batteryNumber;

    /*
    * 一辆车可以绑定多个标识
    * */
    private List<Long> logoIds;

}
