package com.couplet.remote;

import com.couplet.common.core.constant.ServiceNameConstants;
import com.couplet.common.core.domain.Result;
import com.couplet.common.domain.CoupletTroubleCode;
import com.couplet.remote.factory.RemoteTroubleFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(contextId = "remoteTroubleService" ,
        value = ServiceNameConstants.BUSINESS_SERVICE,
        fallbackFactory = RemoteTroubleFallbackFactory.class
)
public interface RemoteTroubleService {

    /**
     * 新增故障码
     * @param code
     * @return
     */
    @PostMapping("/trouble/newFaultData")
    public Result<?> newFaultData(@RequestBody CoupletTroubleCode code);

}
