package com.couplet.remote.factory;

import com.couplet.common.core.domain.Result;
import com.couplet.common.domain.CoupletTroubleCode;
import com.couplet.remote.RemoteTroubleService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @author fufanrui
 * @version 1.0
 * @description: TODO
 * @date 2024/4/2 14:46
 */
@Component
public class RemoteTroubleFallbackFactory implements FallbackFactory<RemoteTroubleService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteTroubleFallbackFactory.class);


    @Override
    public RemoteTroubleService create(Throwable cause) {
        return new RemoteTroubleService() {


            @Override
            public Result<?> newFaultData(CoupletTroubleCode code) {
                return Result.error("调用失败...."+cause.getMessage());
            }

        };
    }
}
