package com.couplet.remote.factory;

import com.couplet.common.core.domain.Result;
import com.couplet.common.domain.Vehicle;
import com.couplet.common.domain.VehicleMiddle;
import com.couplet.remote.RemoteVehicleService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author fufanrui
 * @version 1.0
 * @description: TODO
 * @date 2024/4/2 14:46
 */
@Component
public class RemoteVehicleFallbackFactory implements FallbackFactory<RemoteVehicleService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteVehicleFallbackFactory.class);


    @Override
    public RemoteVehicleService create(Throwable cause) {
        return new RemoteVehicleService() {
            @Override
            public Result<List<Vehicle>> UserUnderTheVehicleList(Long userId) {
                return Result.error("调用失败...."+cause.getMessage());
            }

            @Override
            public Result<Integer> deleteVehicle(Long middleId) {
                return Result.error("调用失败...."+cause.getMessage());
            }

            @Override
            public Result<Integer> addVehicle(VehicleMiddle vehicleMiddle) {
                return Result.error("调用失败....."+cause.getMessage());
            }

            @Override
            public Result<List<Vehicle>> VehicleManageList() {
                return Result.error("调用失败....."+cause.getMessage());
            }


            @Override
            public Result<List<Vehicle>> findByVIN(String vin) {
                return Result.error("车辆服务调用失败:" + cause.getMessage());
            }

            @Override
            public Integer onOrOutLineByVIN(String params) {
                log.error("车辆服务调用失败:" + cause.getMessage());
                return 0;
            }
        };
    }
}
