package com.couplet.common.system.remote.factory;

import com.couplet.common.core.domain.Result;
import com.couplet.common.core.web.page.TableDataInfo;
import com.couplet.common.system.domain.SysUser;
import com.couplet.common.system.remote.RemoteEmployeeService;
import org.springframework.cloud.openfeign.FallbackFactory;

import java.util.List;

/**
 * @author fufanrui
 * @version 1.0
 * @description: 员工服务降级处理
 * @date 2024/3/31 19:43
 */
public class RemoteEmployeeFallbackFactory implements FallbackFactory<RemoteEmployeeService> {
    @Override
    public RemoteEmployeeService create(Throwable cause) {
        return new RemoteEmployeeService() {
            /*
             * @param user:
              * @return Result<TableDataInfo<SysUser>>
             * @author 付凡芮
             * @description 员工列表
             * @date
             */
            @Override
            public Result<TableDataInfo<SysUser>> list(SysUser user) {
                return Result.error("调用失败"+cause.getMessage());
            }

            @Override
            public Result add(SysUser user) {
                return Result.error("调用失败"+cause.getMessage());
            }

            @Override
            public Result edit(SysUser user) {
                return Result.error("调用失败"+cause.getMessage());
            }

            @Override
            public Result remove(Long[] userIds) {
                return Result.error("调用失败"+cause.getMessage());
            }

            @Override
            public Result changeStatus(SysUser user) {
                return Result.error("调用失败"+cause.getMessage());
            }

            @Override
            public Result<List<SysUser>> userList(Long deptId) {
                return Result.error("调用失败...."+cause.getMessage());
            }
        };
    }
}
