package com.couplet.analyze.msg.service.impl;

import com.couplet.analyze.msg.domain.CoupletMsgData;
import com.couplet.analyze.msg.service.IncidentService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;

/**
 * @Author: LiJiaYao
 * @Date: 2024/4/2
 * @Description: 电子围栏事件服务实现类
 */
@Service("electronic-fence")
@Log4j2
public class ElectronicFenceServiceImpl implements IncidentService {

    @Autowired
    private StringRedisTemplate redisTemplate;

    /**
     * 电子围栏事件
     *
     * @param coupletMsgData
     */
    @Override
    public void incident(CoupletMsgData coupletMsgData) {

        log.info("电子围栏事件开始.......");

        if (redisTemplate.hasKey("fence")) {
            log.info("电子围栏事件redis存在.......");
            String s = redisTemplate.opsForValue().get("fence");
            log.info("更改的电子围栏内容是:"+s);
            log.info("电子围栏事件结束.......");
        }

        log.info("电子围栏事件结束.......");

    }

    /**
     * @return 电子围栏service 名称
     */
    @Override
    public String getName() {
        return "electronic-fence";
    }
}
