package com.couplet.analyze.msg.service.impl;

import com.couplet.analyze.msg.domain.CoupletMsgData;
import com.couplet.analyze.msg.mapper.IncidentMapper;
import com.couplet.analyze.msg.service.IncidentService;
import com.couplet.analyze.msg.service.impl.realTimeData.RealTimeJudge;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;

/**
 * @Author: LiJiaYao
 * @Date: 2024/4/2
 * @Description: 实时数据事件
 */
@Service("real-time-data")
@Log4j2
public class RealTimeDataServiceImpl implements IncidentService {

    /**
     * 查询传入的数据是否存在
     */
    @Autowired
    private IncidentMapper incidentMapper;

    @Autowired
    private StringRedisTemplate redisTemplate;

    /**
     * 实时数据事件
     *
     * @param coupletMsgData
     */
    @Override
    public void incident(CoupletMsgData coupletMsgData) {

        log.info("实时数据事件开始.....");

        if (RealTimeJudge.isJudge(coupletMsgData.getVin())){
            log.info("[{}]开始传输实时数据", coupletMsgData.getVin());
        }
        log.info("[{}]开始传输实时数据", coupletMsgData.getVin());

        log.info("实时数据事件结束.....");

    }

    /**
     * 实时数据事件
     * @return
     */
    @Override
    public String getName() {
        return "real-time-data";
    }
}
