package com.couplet.analyze.msg.service.impl;

import com.couplet.analyze.msg.domain.CoupletMsgData;
import com.couplet.analyze.msg.mapper.IncidentMapper;
import com.couplet.analyze.msg.service.IncidentService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author: LiJiaYao
 * @Date: 2024/4/2
 * @Description: 事件存储服务
 */
@Service("stored-event")
@Log4j2
public class StoredEventServiceImpl implements IncidentService {
    @Autowired
    private IncidentMapper incidentMapper;
    /**
     * 事件存储服务
     *
     * @param coupletMsgData
     */
    @Override
    public void incident(CoupletMsgData coupletMsgData) {

        log.info("开始存储......");
        incidentMapper.reportMapper(coupletMsgData);
        log.info("结束存储......");
    }

    /**
     * 事件存储服务
     * @return
     */
    @Override
    public String getName() {
        return "stored-event";
    }
}
