package com.couplet.analyze.msg.service.impl.realTimeData;


import com.couplet.analyze.msg.domain.CoupletMsgData;
import com.couplet.common.domain.request.RealTimeDataRequest;

import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

/**
 * @Author: LiJiaYao
 * @Date: 2024/4/4
 * @Description: 判断实时数据
 */
public class RealTimeJudge {


    /**
     * 常量
     */
    private static final Map<String, Set<Long>> setMap = new HashMap<>();

    public static boolean isJudge(String vin){
        return setMap.containsKey(vin);
    }

    /**
     *
     * @param realTimeDataRequest
     * @return
     */
    public static boolean addRealTime(RealTimeDataRequest realTimeDataRequest){
        Set<Long> userIds = setMap.get(realTimeDataRequest.getVin());
        if (userIds == null){
            userIds = new HashSet<>();
            setMap.put(realTimeDataRequest.getVin(),userIds);
        }
        userIds.add(realTimeDataRequest.getUserId());
        return true;
    }


}
