package com.couplet.msg;

import java.util.ArrayList;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @author DongXiaoDong
 * @version 1.0
 * @date 2024/3/30 11:39
 * @description
 */
public class ParsingMsg {
    private static final List<String> msgList = new ArrayList<>(){{
       add("7E 56 49 4e 31 32 33 34 35 36 37 38 39 44 49 4a 45 34 31 37 31 31 37 36 34 31 30 34 35 30 36 31 31 36 2e 36 36 34 33 38 30 30 33 39 2e 35 33 31 39 39 30 30 37 32 2e 30 30 30 33 31 2e 33 37 36 30 30 30 30 30 32 32 30 30 30 30 32 32 30 30 30 38 35 32 30 30 30 30 30 30 44 30 30 38 30 39 2e 36 30 30 39 34 30 30 30 30 35 38 39 30 36 36 37 39 30 39 33 30 30 30 30 32 30 33 30 30 32 30 33 30 30 30 30 30 34 34 32 38 32 2e 35 35 30 30 30 30 31 34 30 30 30 30 38 30 37 30 30 30 30 37 34 34 30 30 30 33 30 30 30 34 30 30 30 39 35 30 30 30 30 35 38 30 30 30 30 35 34 30 30 30 30 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 24 7E");
    }};

    public static void main(String[] args) {
        // 去头去尾
        for (String string : msgList) {
            String substring = string.substring(2, string.length() - 2);
            System.out.println("去头去尾字符串："+ substring);

            String hexStringWithoutSpaces = substring.replaceAll("\\s+", "");
            String asciiString = hexToString(hexStringWithoutSpaces);
            System.out.println("16进制解析后的数据："+asciiString);
//            //截取前17位
//            String substring1 = asciiString.substring(0, 17);
//            System.out.println("VIN："+substring1);
//            String substring2 = asciiString.substring(17, 30);
//            System.out.println("时间戳："+substring2);
//            String substring3 = asciiString.substring(30, 40);
//            System.out.println("经度：" +substring3);
//            String substring4 = asciiString.substring(41, 50);
//            System.out.println("纬度："+ substring4);
//            String substring5 = asciiString.substring(51, 56);
//            System.out.println("车速："+ substring5);
//            String substring6 = asciiString.substring(57, 67);
//            System.out.println("总里程："+ substring6);
//            String substring7 = asciiString.substring(68, 73);
//            System.out.println("总电压："+ substring7);
            String pattern = "(.{17})(.{10})(.{9})(.{8})(.{2})";
            Pattern compile = Pattern.compile(pattern);
            Matcher matcher = compile.matcher(asciiString);
            if (matcher.find()) {
                for (int i = 1; i < matcher.groupCount(); i++) {
                    System.out.println("Group "+ i + ":" + matcher.group(i));
                }
            }
        }
    }


    /**
     * 将16进制字符串转换为ASCII字符串
     * @param hexString 16进制字符串
     * @return ASCII字符串
     */
    public static String hexToString(String hexString) {
        StringBuilder asciiString = new StringBuilder();
        for (int i = 0; i < hexString.length(); i += 2) {
            String hex = hexString.substring(i, i + 2);
            int decimal = Integer.parseInt(hex, 16);
            asciiString.append((char) decimal);
        }
        return asciiString.toString();
    }
}
