package com.couplet.business.server.controller;

import com.couplet.business.server.service.LogoService;
import com.couplet.common.core.domain.Result;
import com.couplet.common.core.web.controller.BaseController;
import com.couplet.common.domain.Logo;
import com.couplet.common.log.annotation.Log;
import com.couplet.common.log.enums.BusinessType;
import com.couplet.common.security.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author: LiJiaYao
 * @Date: 2024/3/29
 * 标识信息
 */
@RestController
@RequestMapping("/logo")
public class LogoController extends BaseController {

    /**
     * 调用服务
     */
    @Autowired
    private LogoService logoService;

    /**
     * 标识信息列表
     *
     * @param
     * @return
     */
    @Log(title = "标识管理", businessType = BusinessType.OTHER)
    @RequiresPermissions("couplet:fence:fenceList")
    @PostMapping("/queryByLogo")
    public Result<?> queryByLogo(){
        List<Logo> list = logoService.queryByLogo();
        return success(list);
    }


}
