package com.couplet.business.server.controller;

import com.couplet.business.server.service.VehicleManageService;
import com.couplet.common.core.domain.Result;
import com.couplet.common.domain.Vehicle;
import com.couplet.common.domain.VehicleMiddle;
import io.swagger.v3.oas.annotations.parameters.RequestBody;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author fufanrui
 * @version 1.0
 * @description:  车辆管理控制层
 * @date 2024/4/2 9:05
 */
@RestController
@RequestMapping("/VehicleManage")
public class VehicleManageController {


    @Autowired
    private VehicleManageService vehicleManageService;

    /*
     * @param :
      * @return Result<List<Vehicle>>
     * @author 付凡芮
     * @description Y管理车辆列表
     * @date
     */
    @PostMapping("/VehicleManageList")
    public Result<List<Vehicle>> VehicleManageList(){
        List<Vehicle> vehicles = vehicleManageService.VehicleManageList();
        Result<List<Vehicle>> success = Result.success(vehicles);
        return success;
    }
    /*
     * @param middleId:
     * @return Result<Integer>
     * @author 付凡芮
     * @description 删除员工管理的车辆
     * @date
     */

    @DeleteMapping("/{middleId}")
    public Result deleteVehicle(@PathVariable(value = "middleId") Long middleId){
        return vehicleManageService.deleteVehicle(middleId);
    }


    /*
     * @param middle:
      * @return Result
     * @author 付凡芮
     * @description 添加车辆
     * @date
     */
    @PostMapping
    public Result addVehicle(@RequestBody VehicleMiddle middle){
        return vehicleManageService.addVehicle(middle);
    }


    @PostMapping("vehicleAll")
    public Result<List<Vehicle>> vehicleAll(){
        List<Vehicle> vehicles = vehicleManageService.vehicleAll();
        return Result.success(vehicles);
    }

}
