package com.couplet.business.server.controller;

import com.couplet.business.server.service.VehicleTypeService;
import com.couplet.common.core.domain.Result;
import com.couplet.common.core.web.controller.BaseController;
import com.couplet.common.domain.VehicleType;
import com.couplet.common.security.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @ProjectName: five-groups-couplet
 * @Author: LiuYunHu
 * @CreateTime: 2024/3/31
 * @Description: 车辆类型控制器
 */

@RestController
@RequestMapping("/vehicleType")
public class VehicleTypeController extends BaseController {
    @Autowired
    private VehicleTypeService service;

    //获取所有的车辆类型
    @RequiresPermissions("couplet:vehicle:list")
    @GetMapping("/list")
    public Result<List<VehicleType>> list() {
        List<VehicleType> vehicleTypeList = service.list();
        return success(vehicleTypeList);
    }
}
