package com.couplet.business.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.couplet.common.domain.Fence;
import com.couplet.common.domain.request.FenceConfig;
import com.couplet.common.domain.request.FenceRequest;
import com.couplet.common.domain.request.FenceUpdateRequest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author: LiJiaYao
 * @Date: 2024/3/28
 */
@Mapper
public interface FenceMapper extends BaseMapper<Fence> {
    /**
     * 改变围栏信息
     * @param fenceUpdateRequest
     */
    void changeFence(FenceUpdateRequest fenceUpdateRequest);

    int insertFence(FenceRequest fenceRequest);

    void removeByFenceId(Long fenceId);

    /**
     * 分页查询
     * @param fenceConfig
     * @return
     */
    List<Fence> pageQuery(FenceConfig fenceConfig);

    /**
     * 判断名字唯一
     * @param fenceName
     * @return
     */
    boolean checkFenceKeyUnique(String fenceName);
}
