package com.couplet.business.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.couplet.common.domain.Fence;
import com.couplet.common.domain.request.FenceConfig;
import com.couplet.common.domain.request.FenceRequest;
import com.couplet.common.domain.request.FenceUpdateRequest;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @Author: LiJiaYao
 * @Date: 2024/3/28
 */
public interface FenceService extends IService<Fence> {
    List<Fence> pageQuery(FenceConfig fenceConfig);

    /**
     * 更改围栏状态
     * @param fenceUpdateRequest
     */
    void changeFenceStatus(FenceUpdateRequest fenceUpdateRequest);

    /**
     * 新增电子围栏
     *
     * @param fenceRequest
     */
    void fenceInsert(HttpServletRequest request, FenceRequest fenceRequest);

    /**
     * 删除电子围栏
     * @param fenceId
     */
    void removeByFenceId(Long fenceId);

    /**
     * 判断数据是否存在
     *
     * @param fenceName
     * @return
     */
    boolean checkFenceKeyUnique(String fenceName);

}
