package com.couplet.business.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.couplet.common.domain.Vehicle;
import com.couplet.common.domain.VehicleMiddle;
import com.couplet.common.domain.request.VehicleEditParams;
import com.couplet.common.domain.request.VehicleInsertParams;
import com.couplet.common.domain.request.VehicleListParams;

import java.util.List;

/**
 * @ProjectName: five-groups-couplet
 * @Author: LiuYunHu
 * @CreateTime: 2024/3/26
 * @Description: 车辆服务
 */

public interface VehicleService extends IService<Vehicle> {
    List<Vehicle> list(VehicleListParams listParams);

    String deleteById(Long vehicleId);

    String editById(VehicleEditParams editParams);

    String insert(VehicleInsertParams insertParams);

    List<Long> getBindLogoById(Long vehicleId);

    List<Vehicle> findByVIN(String vin);

    List<Vehicle> UserUnderTheVehicleList(Long userId);

    Integer deleteVehicle(Long middleId);

    Integer addVehicle(VehicleMiddle vehicleMiddle);

    List<Vehicle> vehicleAll();

    Integer onOrOutLineByVIN(String s, int i);

}
