package com.couplet.business.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.couplet.business.server.mapper.LogoMapper;
import com.couplet.business.server.service.LogoService;
import com.couplet.common.domain.Logo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author: LiJiaYao
 * @Date: 2024/3/28
 */
@Service
public class LogoServiceImpl extends ServiceImpl<LogoMapper, Logo> implements LogoService {

    /**
     * 调用围栏mapper
     */
    @Autowired
    private LogoMapper fenceMapper;

    /**
     * 注入redis模板
     */
    @Autowired
    private StringRedisTemplate redisTemplate;

    @Override
    public List<Logo> queryByLogo() {
        LambdaQueryWrapper<Logo> queryWrapper = new LambdaQueryWrapper<>();
        return this.list(queryWrapper);
    }


}
