package com.couplet.business.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.couplet.business.server.mapper.SysTroubleMapper;
import com.couplet.business.server.service.SysTroubleService;
import com.couplet.common.core.domain.PageResult;
import com.couplet.common.domain.CoupletTroubleCode;
import com.couplet.common.domain.CoupletTroubleGrade;
import com.couplet.common.domain.request.TroubleResp;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author DongXiaoDong
 * @version 1.0
 * @date 2024/3/26 22:38
 * @description
 */
@Service
public class SysTroubleServiceImpl extends ServiceImpl<SysTroubleMapper, CoupletTroubleCode> implements SysTroubleService {

    @Autowired
    private SysTroubleMapper sysTroubleMapper;

    /**
     * 查询故障码列表
     * @param troubleReq
     * @return
     */
    @Override
    public PageResult<CoupletTroubleCode> selectTroubleList(TroubleResp troubleReq) {
        PageHelper.startPage(troubleReq.getPageNum(), troubleReq.getPageSize());
        List<CoupletTroubleCode> troubleList = sysTroubleMapper.selectTroubleList(troubleReq);
        PageInfo<CoupletTroubleCode> info = new PageInfo<>(troubleList);
        return PageResult.toPageResult(info.getTotal(),troubleList);
    }


    @Override
    public List<CoupletTroubleGrade> selectTroubleListByGrade() {
        return sysTroubleMapper.selectTroubleListByGrade();
    }

    @Override
    public void newFaultData(CoupletTroubleCode code) {
        sysTroubleMapper.newFaultData(code);
    }

    /**
     * 清理故障异常信息
     */
    @Override
    public void cleanTroubleCode() {
        sysTroubleMapper.cleanTroubleCode();
    }

}
