package com.couplet.business.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.couplet.business.server.mapper.VehicleAndLogoMapper;
import com.couplet.business.server.service.VehicleAndLogoService;
import com.couplet.common.domain.VehicleAndLogo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ProjectName: five-groups-couplet
 * @Author: LiuYunHu
 * @CreateTime: 2024/3/30
 * @Description: 车辆和标识关联
 */

@Service
@Slf4j
public class VehicleAndLogoServiceImpl extends ServiceImpl<VehicleAndLogoMapper, VehicleAndLogo> implements VehicleAndLogoService {

    //注入mapper
    @Autowired
    private VehicleAndLogoMapper mapper;

    /*
     * @Author: LiuYunHu
     * @Date: 2024/3/30 11:51
     * @Description: 车辆绑定标志
     * @Param: [vehicleId, logoIds]
     * @Return: int
     **/
    @Override
    public int vehicleBindLogo(Long vehicleId, List<Long> logoIds) {
        //将ids转为list
//        ArrayList<Long> logoIdList = new ArrayList<>();
//        String[] split = logoIds.split(",");
//        for (String s : split) {
//            logoIdList.add(Long.parseLong(s));
//        }

        //执行绑定
        return mapper.vehicleBindLogo(vehicleId, logoIds);
    }

    /*
     * @Author: LiuYunHu
     * @Date: 2024/3/31 21:21
     * @Description: 删除掉车辆绑定
     * @Param: [vehicleId]
     * @Return: int
     **/
    @Override
    public int deleteByVehicleId(Long vehicleId) {


        return mapper.deleteByVehicleId(vehicleId);
    }

    /*
     * @Author: LiuYunHu
     * @Date: 2024/3/31 21:35
     * @Description: 获取绑定当前车辆的标识
     * @Param: [vehicleId]
     * @Return: java.util.List<java.lang.Long>
     **/
    @Override
    public List<Long> getBindLogoById(Long vehicleId) {


        return mapper.getBindLogoById(vehicleId);
    }

}
