package com.couplet.business.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.couplet.business.server.mapper.VehicleTypeMapper;
import com.couplet.business.server.service.VehicleTypeService;
import com.couplet.common.domain.VehicleType;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ProjectName: five-groups-couplet
 * @Author: LiuYunHu
 * @CreateTime: 2024/3/31
 * @Description: 车辆类型服务实现类
 */
@Service
@Slf4j
public class VehicleTypeServiceImpl extends ServiceImpl<VehicleTypeMapper, VehicleType> implements VehicleTypeService {


    /*
     * @Author: LiuYunHu
     * @Date: 2024/3/31 10:17
     * @Description: 获取所有的车辆类型
     * @Param: []
     * @Return: java.util.List<com.couplet.vehicle.domain.VehicleType>
     **/
    @Override
    public List<VehicleType> list() {
        LambdaQueryWrapper<VehicleType> queryWrapper = new LambdaQueryWrapper<>();

        return this.list(queryWrapper);
    }
}
