package com.couplet.mq.remote.factory;

import com.couplet.common.domain.request.FenceUpdateRequest;
import com.couplet.mq.remote.RemoteFenceService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import static com.couplet.common.core.domain.Result.error;

/**
 * @author fufanrui
 * @version 1.0
 * @description: TODO
 * @date 2024/4/2 14:46
 */
@Component
public class RemoteFenceFallbackFactory implements FallbackFactory<RemoteFenceService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteFenceFallbackFactory.class);


    @Override
    public RemoteFenceService create(Throwable cause) {
        return new RemoteFenceService() {

            @Override
            public void fenceQueue(FenceUpdateRequest fenceUpdateRequest) {
                error("调用失败...."+cause.getMessage());
            }
        };
    }
}
