package com.couplet.online.utils;

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @ProjectName: five-groups-couplet
 * @Author: LiuYunHu
 * @CreateTime: 2024/4/2
 * @Description: 初步解析报文工具类
 */

@Component
@Slf4j
public class ParseMessageUtil {

    /*
     * @Author: LiuYunHu
     * @Date: 2024/4/2 14:58
     * @Description: 将16进制字符串转换为ASCII字符串
     * @Param: [hexString]
     * @Return: java.lang.String
     **/
    public static String hexToString(String hexString) {
        StringBuffer asciiString = new StringBuffer();

        for (int i = 0; i < hexString.length(); i += 2) {
            String hex = hexString.substring(i, i + 2);
            int decimal = Integer.parseInt(hex, 16);
            asciiString.append((char) decimal);
        }
        return asciiString.toString();
    }

    public static String parseMsg(String msg) {
        //去头去尾
        String substring = msg.substring(2, msg.length() - 2);
//        log.info("去头去尾的报文：" + substring);

        //去空格
        String hexStringWithoutSpaces = substring.replaceAll("\\s+", "");

        //转换为ASCII字符串
        String asciiString = hexToString(hexStringWithoutSpaces);

//        log.info("解析后报文：" + asciiString);

        return asciiString;
    }
}
