package com.couplet.system.controller;

import com.couplet.common.core.domain.Result;
import com.couplet.common.system.domain.SysFirm;
import com.couplet.system.service.SysFirmService;
import io.swagger.models.auth.In;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @ClassName SysFirmController
 * @Description 企业信息
 * @Author YuanYongH
 * @Date 2024/3/28 22:14
 */
@RestController
@RequestMapping("firm")
public class SysFirmController {

    @Autowired
    private SysFirmService sysFirmService;
    /**
     * @Description // 管理企业列表
     * @Date 2024/3/28
     * @param sysFirm
     * @return com.couplet.common.core.domain.Result<java.util.List<com.couplet.common.system.domain.SysFirm>>
    **/
    @PostMapping("firmList")
    public Result<List<SysFirm>> firmList(@RequestBody SysFirm sysFirm){
        List<SysFirm> list = sysFirmService.firmList(sysFirm);
        Result<List<SysFirm>> result = Result.success(list);
        return result;
    }

    /**
     * @Description // 添加企业  默认未认证
     * @Date 2024/3/28
     * @param sysFirm
     * @return com.couplet.common.core.domain.Result
    **/
    @PostMapping("addFirm")
    public Result addFirm(@RequestBody SysFirm sysFirm){
        int i = sysFirmService.addFirm(sysFirm);
        Result<Integer> result = Result.success(i);
        return result;
    }

    /**
     * @Description // 修改企业信息
     * @Date 2024/3/28
     * @param sysFirm
     * @return com.couplet.common.core.domain.Result
    **/
    @PostMapping("updateFirm")
    public Result updateFirm(@RequestBody SysFirm sysFirm){
        int i = sysFirmService.updateFirm(sysFirm);
        Result<Integer> result = Result.success(i);
        return result;
    }

    /**
     * @Description // 删除企业  附属的员工一并删除
     * @Date 2024/3/29
     * @param deptId
     * @return com.couplet.common.core.domain.Result
    **/
    @PostMapping("delFirm/{deptId}")
    public Result delFirm(@PathVariable Integer deptId){
        int i = sysFirmService.delFirm(deptId);
        Result<Integer> success = Result.success(i);
        return success;
    }
}
